Summary:	X.org video driver for Neomagic graphics chipsets
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów graficznych Neomagic
Name:		xorg-driver-video-neomagic
Version:	1.2.7
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-neomagic-%{version}.tar.bz2
# Source0-md5:	ba25b6347b375eb3e9bd62066dc6c61f
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xf86dgaproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-neomagic < 1:7.0.0
Obsoletes:	XFree86-NeoMagic
Obsoletes:	XFree86-driver-neomagic < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Neomagic graphics chipsets found in many laptop
computers. It supports the following chipsets:
- MagicGraph 128 (NM2070),
- MagicGraph 128V (NM2090),
- MagicGraph 128ZV (NM2093),
- MagicGraph 128ZV+ (NM2097),
- MagicGraph 128XD (NM2160),
- MagicGraph 256AV (NM2200),
- MagicGraph 256AV+ (NM2230),
- MagicGraph 256ZX (NM2360),
- MagicGraph 256XL+ (NM2380).

%description -l pl.UTF-8
Sterownik obrazu X.org dla układów graficznych Neomagic, jakie można
znaleźć w wielu laptopach. Obsługuje następujące układy:
- MagicGraph 128 (NM2070),
- MagicGraph 128V (NM2090),
- MagicGraph 128ZV (NM2093),
- MagicGraph 128ZV+ (NM2097),
- MagicGraph 128XD (NM2160),
- MagicGraph 256AV (NM2200),
- MagicGraph 256AV+ (NM2230),
- MagicGraph 256ZX (NM2360),
- MagicGraph 256XL+ (NM2380).

%prep
%setup -q -n xf86-video-neomagic-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README TODO
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/neomagic_drv.so
%{_mandir}/man4/neomagic.4*
%changelog
* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 944bbe7
- updated to 1.2.7

* Sat Mar 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 61d9e6d
- updated to 1.2.6

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9362403
- release 6

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 17044a8
- release 5

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> d909a5d
- xorg-driver-video virtual for video drivers
- release 4

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2f42f95
- release 3

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 0fff2e5
- rel up

* Sun Aug 29 2010 Jakub Bogusz <qboosh@pld-linux.org> 58a390c
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c8c7540
- up to 1.2.5

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 242dd0e
- release 5

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a393b06
- release 4

* Tue Mar 30 2010 sparky <sparky@pld-linux.org> cf86a92
- added neomagic-usleep patch: fixes symbol xf86UDelay missing in new xorg
- patch sent by Maciej Sterna <msterna@gmail.com>

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1373d18
- release 2

* Sun Sep 20 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 76a966c
- up to 1.2.4

* Thu Aug 20 2009 amateja <amateja@pld-linux.org> bb34691
- updated to 1.2.3

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3843c36
- up to 1.2.2

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 688a91a
- release 4

* Sat Aug 30 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fb8b50d
- release 3

* Tue Jul 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a5a9ea1
- release 2

* Mon May 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 43dd461
- updated to 1.2.1

